#include "zephyr/bluetooth/conn.h"

#define BROADCAST_NAME_MAX_LENGTH (32)
#define NUM_CHANNELS (CONFIG_BT_BAP_BROADCAST_SRC_COUNT)

struct bt_le_ext_adv;

int initialise_broadcast(uint8_t big_index, const char *initial_name, size_t len);
int change_broadcast_name(uint8_t big_index, const char *new_name, size_t len);
const char* get_broadcast_name(uint8_t big_index);

void enable_bt(uint8_t big_index);
void disable_bt(uint8_t big_index);
int initialise_bc(uint8_t big_index, char *name, size_t len);

int broadcast_start(uint8_t big_index);
int broadcast_stop(uint8_t big_index);
int broadcast_send(uint8_t big_index, struct net_buf const *const audio_frame);

void update_ext_adv_data(uint8_t big_index, struct bt_le_ext_adv *ext_adv_data);